using Kit.Helpers.Log;
using System;

namespace Kit.Helpers.Repository.Xml.Exceptions
{
    public class RowVersionException : Exception
    {
        public IOperationLogger OperationLogger = Log.OperationLogger.Empty;
        public RowVersionException()
        {
        }

        public RowVersionException(string message)
            : base(message)
        {
        }

        public RowVersionException(string message, Exception inner)
            : base(message, inner)
        {
        }
        public RowVersionException(string message, IOperationLogger operationLogger)
            : base(message)
        {
            OperationLogger = operationLogger;
        }
    }
}